Subject: [SWIPL] Output display of list

From: Ari Saptawijaya <[email-masked]>
Date: Tue, 8 Jan 2002 22:34:25 -0800 (PST)

Hi !

I'm new in this mailing list.
I have a question regarding the output display of
list.
Suppose I have a program like this :

insert([],X,[X]).
insert([X|L1],Y,[X|L2]) :- insert(L1,Y,L2).

When I run the program in SWI-Prolog system with the
query :

?-
insert([[a,b],[b,c],[c,d],[d,e],[e,f],[f,g],[g,h]],[h,i],Y).

I got the result displayed like this :

Y = [[a, b], [b, c], [c, d], [d, e], [e, f], [f, g],
[g, h], [h|...]]

My question is, how can I set the system so that it
can display the solution completely ?
(in this case, the last element should be displayed
[h,i] instead of [h|...]).

Sorry, if this is just a trivial question and perhaps
has been ever asked before.

Thank you.

cheers,
Ari

__________________________________________________
Do You Yahoo!?
Send FREE video emails in Yahoo! Mail!
http://promo.yahoo.com/videomail/